@import "@/assets/scss/global";

.choose-package-wrapper {
    height: 100%;

    span[class*='InputTextField_icon-right-has-data'] {

        rect {
            fill: $secondary-color;
            cursor: pointer;
            pointer-events: all;
        }

        .voucher-validate-icon.disable {
            pointer-events: none !important;
            
            rect {
                fill: rgb(226, 229, 242);
            }
        }
    }

    h5 {
        font-weight: 700;
        font-size: 16px;
        line-height: 24px;
        color: #EF4E2B;
        margin-bottom: 10px;
    }

    .content {
        display: flex;
        flex-direction: column;
        justify-content: space-between;

        .choose-package {
            display: flex;
            gap: 16px;
            position: relative;
            flex-wrap: wrap;

            > div {
                flex: 0 0 100%;

                .see-pack-info {
                    cursor: pointer;
                    align-items: center;
                    font-weight: 500;
                    font-size: 10px;
                    line-height: 16px;
                    color: $secondary-color;
                    column-gap: 2px;
                    margin-top: 4px;
                    display: none;
                }

                @include tabletScreen {
                    &.select-plan {
                        flex: 0 0 calc(60% - 8px);
                    }

                    &.period {
                        flex: 0 0 calc(40% - 8px);
                    }

                    .see-pack-info {
                        display: inline-flex;
                    }
                }

                .select-menu{
                    padding: 10px;

                    [class*='item']{
                        &:hover:not([class*='active']){
                            background: #FFE8E8 !important;
                            color: #EF4E2B;
                        }

                        span {
                            font-size: 14px;
                        }
                    }
                }
            }

            .description {
                font-weight: 500;
                font-size: 10px;
                line-height: 16px;
                margin-top: 4px;
                color: $dark-color;
                min-height: 36px;

                span {
                    font-weight: 400;
                    font-size: 12px;
                    line-height: 18px;
                    color: $grey-color1;
                }

                svg {
                    margin-bottom: -2px;
                    margin-left: 2px;
                    position: relative;
                }

                .tooltip {
                    position: absolute;
                    top: 10px;
                    right: -200px;
                    z-index: 1;
                    width: 200px;
                    border-radius: 10px;
                    background-color: white;
                    padding: 10px;
                    box-shadow: 21px 21px 59px rgba(121, 49, 39, 0.11);

                    span {
                        font-weight: 700;
                    }
                }
            }
        }

        .voucher-validate {

            margin-top: 10px;

            .input-field {
                
                input {
                    opacity: 1;
                    filter: brightness(0);
                }
            }

            .voucher-validate-icon {
                width: 32px;
                height: 32px;
                transform: translate(-19px, -6px);
                cursor: not-allowed;
                pointer-events: none;
            }
        }

        .separate {
            padding: 40px 0;

            .line {
                height: 2px;
                background-image: linear-gradient(to right, #DFDAFF 0%, #DFDAFF 50%, transparent 50%);
                background-size: 19px 2px;
                background-repeat: repeat-x;
            }
        }

        .price {
            display: flex;
            flex-direction: column;
            row-gap: 30px;
            margin: 10px 0;

            .line {
                display: flex;

                p {
                    margin: 0;
                    width: 25%;
                    font-weight: 500;
                    font-size: 14px;
                    line-height: 20px;
                    color: $dark-color;
                }

                span {
                    font-weight: 500;
                    font-size: 14px;
                    line-height: 20px;
                    color: $dark-color;

                    b {
                        font-weight: 800;
                        font-size: 20px;
                        line-height: 20px;
                    }
                }

                span.discount {
                    color: #F79945;

                    b {
                        font-weight: 600;
                        font-size: 14px !important;
                    }

                    &.default {
                        
                        font-weight: 600;
                        font-size: 14px;
                        line-height: 20px;
                    }
                }

                span.total-price {
                    color: $success-color;
                    font-weight: 400;
                    font-size: 16px;

                    &.default {
                        font-weight: 800;
                        font-size: 16px;
                        line-height: 20px;
                    }
                }
            }
        }
    }
}